Enlistment - Ohloh API Reference

Avatar
written by Robin Luckey
aug 29 2007

Enlistment

An Enlistment joins a Project to a source control Repository.

Once added to the Ohloh database, a Repository is permanent. However, Enlistments to that Repository may be added or removed at any time. Many Projects may share a single Repository.

Properties
id
The unique ID of the Enlistment.
project_id
The unique ID of the Project.
repository_id
The unique ID of the Repository.
repository
The Repository record will be included in full here.
URL

To get a single Enlistment:

GET http://www.ohloh.net/projects/{project_id}/enlistment/{enlistment_id}.xml
Collection URL

To get a list of all Enlistments for a particular Project:

GET http://www.ohloh.net/projects/{project_id}/enlistments.xml

The Enlistment collection method supports the standard collection request parameters with the following details:

query
If supplied, enlistments with a repository URL matching the query string will be returned.
sort
Enlistment collections support the following sort options:
module_name
module_name_reverse
type
type_reverse
url
url_reverse